SPI_SYNC_TRANSFER(9)

NAME
spi_sync_transfer - synchronous SPI data transfer

SYNOPSIS

int spi_sync_transfer(struct spi_device * spi, struct spi_transfer * xfers, unsigned int num_xfers);

ARGUMENTS

spi
    device with which data will be exchanged

xfers
    An array of spi_transfers

num_xfers
    Number of items in the xfer array

CONTEXT

can sleep

DESCRIPTION

Does a synchronous SPI data transfer of the given spi_transfer array.

For more specific semantics see spi_sync.

It returns zero on success, else a negative error code.

COPYRIGHT